--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Gateway for netregistry.com.au.
- !ruby/struct:SM::Flow::P 
  body: Note that NetRegistry itself uses gateway service providers. At the time of this writing, there are at least two (Quest and Ingenico). This module has only been tested with Quest.
- !ruby/struct:SM::Flow::P 
  body: "Also note that NetRegistry does not offer a test mode, nor does it have support for the authorize/capture/void functionality by default (you may arrange for this as described in &quot;Programming for NetRegistry's E-commerce Gateway.&quot; [http://rubyurl.com/hNG]), and no #void functionality is documented. As a result, the #authorize and #capture have not yet been tested through a live gateway, and #void will raise an error."
- !ruby/struct:SM::Flow::P 
  body: If you have this functionality enabled, please consider contributing to ActiveMerchant by writing tests/code for these methods, and submitting a patch.
- !ruby/struct:SM::Flow::P 
  body: In addition to the standard ActiveMerchant functionality, the response will contain a 'receipt' parameter (response.params['receipt']) if a receipt was issued by the gateway.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://4tknox.au.com/cgi-bin/themerchant.au.com/ecom/external2.pl'"
- !ruby/object:RI::Constant 
  comment: 
  name: FILTERED_PARAMS
  value: "[ 'card_no', 'card_expiry', 'receipt_array' ]"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTIONS
  value: "{         :authorization => 'preauth',         :purchase => 'purchase',         :capture => 'completion',         :status => 'status',         :credit => 'refund'"
full_name: ActiveMerchant::Billing::NetRegistryGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: status
name: NetRegistryGateway
superclass: Gateway
